Skip to main content
DELETE
/
v1
/
catalog_entities
/
{id}
Delete a Catalog Entity
curl --request DELETE \
  --url https://api.rootly.com/v1/catalog_entities/{id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "<string>",
    "attributes": {
      "name": "<string>",
      "position": 123,
      "created_at": "<string>",
      "updated_at": "<string>",
      "description": "<string>",
      "backstage_id": "<string>",
      "properties": [
        {
          "catalog_property_id": "<string>",
          "value": "<string>"
        }
      ]
    }
  },
  "included": [
    {
      "id": "<string>",
      "type": "<string>",
      "attributes": {},
      "relationships": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
required

Resource UUID

Response

catalog_entity deleted

data
object
required
included
object[]